package com.test.web;

//import javax.faces.bean.ManagedBean;
import javax.inject.Inject;
import javax.inject.Named;

import com.test.web.state.CdiAppState;
import com.test.web.state.CdiSessionState;

//@ManagedBean
@Named("adminBean")
public class AdminBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2051793015966133126L;

	@Inject
	private CdiAppState appStateBase;
	
	@Inject
	private CdiSessionState sessionStateBase;
	
	public boolean isHasGlobalRight() {
		return appStateBase.hasGlobalRight();
	}
	
	public boolean isHasUserRight() {
		return sessionStateBase.hasUserRight();
	}
}
